org.apache.commons.math3.ode

## Class ParameterConfiguration

- java.lang.Object
- - org.apache.commons.math3.ode.ParameterConfiguration

- All Implemented Interfaces:
    Serializable

       class ParameterConfiguration
      extends Object
      implements Serializable

  Simple container pairing a parameter name with a step in order to compute the associated Jacobian matrix by finite difference.
  Since:
    3.0
  Version:
    $Id: ParameterConfiguration.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `hP` Parameter step for finite difference computation.
    `private String` | `parameterName` Parameter name.
    `private static long` | `serialVersionUID` Serializable UID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterConfiguration(String parameterName, double hP)` Parameter name and step pair constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getHP()` Get parameter step.
    `String` | `getParameterName()` Get parameter name.
    `void` | `setHP(double hParam)` Set parameter step.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable UID.
      See Also:
        Constant Field Values

    - #### parameterName

          private String parameterName

      Parameter name.

    - #### hP

          private double hP

      Parameter step for finite difference computation.

  - ### Constructor Detail

    - #### ParameterConfiguration

          public ParameterConfiguration(String parameterName,
                                double hP)

      Parameter name and step pair constructor.
      Parameters:
        `parameterName` - parameter name
        `hP` - parameter step

  - ### Method Detail

    - #### getParameterName

          public String getParameterName()

      Get parameter name.
      Returns:
        parameterName parameter name

    - #### getHP

          public double getHP()

      Get parameter step.
      Returns:
        hP parameter step

    - #### setHP

          public void setHP(double hParam)

      Set parameter step.
      Parameters:
        `hParam` - parameter step

Copyright (c) 2003-2013 Apache Software Foundation